# cli.utils.train – Axolotl

# cli.utils.train

`cli.utils.train`

Utilities for axolotl train CLI command.

## Functions

Name | Description
--- | ---
build_command | Build command list from base command and options.
generate_config_files | Generate list of configuration files to process.
launch_training | Execute training with the given configuration.

### build_command

    cli.utils.train.build_command(base_cmd, options)

Build command list from base command and options.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
base_cmd | list[str] | Command without options. | required
options | dict[str, Any] | Options to parse and append to base command. | required

#### Returns

Name | Type | Description
--- | --- | ---
| list[str] | List of strings giving shell command.

### generate_config_files

    cli.utils.train.generate_config_files(config, sweep)

Generate list of configuration files to process.

### launch_training

    cli.utils.train.launch_training(
        cfg_file,
        launcher,
        cloud,
        kwargs,
        launcher_args=None,
    )

Execute training with the given configuration.